let
  nixpkgs = fetchTarball "https://github.com/NixOS/nixpkgs/tarball/nixos-24.05";
  pkgs = import nixpkgs { config = {}; overlays = []; };
in

pkgs.mkShellNoCC {
  packages = with pkgs; [
    tilt
    k3d
    neovim
    kubectl
    protobuf
    protoc-gen-go
    protoc-gen-go-grpc
  ];
}
